%global __requires_exclude perl\\(FusionInventory::.*\\)
%global __provides_exclude perl\\(FusionInventory::.*\\)

%{?perl_default_filter:%perl_default_filter}

Name:       fusioninventory-agent
Version:    2.3.20
Release:    %mkrel 1
Summary:    FusionInventory agent
License:    GPL
Group:      System/Servers
URL:        http://www.fusioninventory.org
Source0:    https://github.com/fusioninventory/fusioninventory-agent/releases/download/%{version}/FusionInventory-Agent-%{version}.tar.gz
Requires:   perl(Proc::Daemon)
Recommends: fusioninventory-task-inventory
BuildArch:  noarch

%description
The fusioninventory agent is a generic agent, running on each managed node. It
can perform a certain number of tasks, either according to its own execution
plan, or as requested from a central control server, such as GLPI server with
fusioninventory plugin.

This package contains only the agent itself. Additional task packages are
needed for effective usage.

%package task-inventory
Summary:    Local inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Recommends:   dmidecode

%description task-inventory
This package provides local inventory support for FusionInventory agent:
- the inventory task allows the agent to extract various hardware and software
  information on its host

%package task-wakeonlan
Summary:    Wake-on-lan support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
suggests:   perl(Net::Write::Layer2)
Obsoletes:  fusioninventory-agent-plugin-wakeonlan

%description task-wakeonlan
This package provides wake-on-lan support for FusionInventory agent:
- the wakeonlan task allows the agent to send wake-on-lan packet to another
  host on the same network

%package task-network
Summary:    Network discovery and inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Recommends:   nmap
Obsoletes:  fusioninventory-agent-plugin-network

%description task-network
This package provides network support for FusionInventory agent:
- the NetDiscovery task allows the agent to scan the network to find remote
  devices, through nmap, NetBios or SNMP, and to identify them
- the NetInventory task allows the agent to extract various informations from
  a remote device through SNMP protocol

%package task-esx
Summary:    ESX inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Obsoletes:  fusioninventory-agent-plugin-esx

%description task-esx
This package provides ESX support for FusionInventory agent:
- the ESX task allows the agent to perform remote inventory of ESX, ESXi,
  vCenter server using the SOAP interface

%package task-deploy
Summary:    Software deployment support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Requires:   perl(Archive::Extract)
Obsoletes:  fusioninventory-agent-plugin-deploy

%description task-deploy
This package provides software deployement support for FusionInventory agent:
- the deploy task allows the agent to perform software installation on its host

%package task-collect
Summary:    Custom information retrieval support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-collect
This package provides custom information retrieval support for FusionInventory agent:
- the collect task allows the agent to retrieve custom information on its host

%prep
%setup -q -n FusionInventory-Agent-%{version}

%build
%__perl Makefile.PL \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}/fusioninventory \
    LOCALSTATEDIR=%{_localstatedir}/lib/fusioninventory
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
# fusioninventory agent options
OPTIONS=""
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
. /etc/sysconfig/fusioninventory-agent
%{_bindir}/fusioninventory-agent $OPTIONS > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 contrib/unix/fusioninventory-agent.service \
    %{buildroot}%{_unitdir}/fusioninventory-agent.service

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc Changes THANKS LICENSE README.md
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/fusioninventory-agent.1*
%{_mandir}/man1/fusioninventory-injector.1*
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%{_datadir}/fusioninventory
%dir %{_sysconfdir}/fusioninventory
%config(noreplace) %{_sysconfdir}/fusioninventory/agent.cfg
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
%{_unitdir}/fusioninventory-agent.service
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-inventory
%{_bindir}/fusioninventory-inventory
%{_mandir}/man1/fusioninventory-inventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory

%files task-wakeonlan
%{_bindir}/fusioninventory-wakeonlan
%{_mandir}/man1/fusioninventory-wakeonlan.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/WakeOnLan.pm

%files task-network
%{_bindir}/fusioninventory-netdiscovery
%{_bindir}/fusioninventory-netinventory
%{_mandir}/man1/fusioninventory-netdiscovery.1*
%{_mandir}/man1/fusioninventory-netinventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP

%files task-esx
%{_bindir}/fusioninventory-esx
%{_mandir}/man1/fusioninventory-esx.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-deploy
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy

%files task-collect
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Collect.pm


%changelog
* Sat Jun 03 2017 guillomovitch <guillomovitch> 2.3.20-1.mga6
+ Revision: 1105877
- new version 2.3.20

* Wed Feb 22 2017 guillomovitch <guillomovitch> 2.3.19-2.mga6
+ Revision: 1087391
- fix installation

* Sun Feb 19 2017 guillomovitch <guillomovitch> 2.3.19-1.mga6
+ Revision: 1086936
- new version 2.3.19

* Mon Jun 20 2016 guillomovitch <guillomovitch> 2.3.18-1.mga6
+ Revision: 1036998
- new version 2.3.18

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 17 2015 guillomovitch <guillomovitch> 2.3.17-2.mga6
+ Revision: 903825
- add perl(Proc::Daemon) dependency, for running the agent in the background (#16958)

* Sun Oct 11 2015 guillomovitch <guillomovitch> 2.3.17-1.mga6
+ Revision: 889565
- new version 2.3.17

* Tue Mar 10 2015 guillomovitch <guillomovitch> 2.3.16-1.mga5
+ Revision: 818297
- new version 2.3.16

* Wed Jan 07 2015 guillomovitch <guillomovitch> 2.3.15-1.mga5
+ Revision: 808894
- new version 2.3.15

* Mon Dec 15 2014 guillomovitch <guillomovitch> 2.3.14-1.mga5
+ Revision: 803249
- new version 2.3.14

* Fri Nov 07 2014 guillomovitch <guillomovitch> 2.3.13-1.mga5
+ Revision: 795994
- new version 2.3.13

* Wed Oct 15 2014 umeabot <umeabot> 2.3.12-2.mga5
+ Revision: 744219
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 guillomovitch <guillomovitch> 2.3.12-1.mga5
+ Revision: 737219
- new version 2.3.12

* Mon Sep 29 2014 guillomovitch <guillomovitch> 2.3.11.1-1.mga5
+ Revision: 731610
- new version 2.3.11.1

* Thu Sep 25 2014 guillomovitch <guillomovitch> 2.3.11-1.mga5
+ Revision: 724663
- new version 2.3.11

* Tue Sep 23 2014 tv <tv> 2.3.10-3.mga5
+ Revision: 722238
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 2.3.10-2.mga5
+ Revision: 679384
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Thu Jul 31 2014 guillomovitch <guillomovitch> 2.3.10-1.mga5
+ Revision: 658763
- new version 2.3.10

* Tue Jul 15 2014 guillomovitch <guillomovitch> 2.3.9.1-1.mga5
+ Revision: 653150
- new version 2.3.9.1

* Fri May 16 2014 guillomovitch <guillomovitch> 2.3.8-1.mga5
+ Revision: 622994
- new version 2.3.8

* Mon May 05 2014 guillomovitch <guillomovitch> 2.3.7.1-1.mga5
+ Revision: 620179
- new version

* Tue Apr 29 2014 guillomovitch <guillomovitch> 2.3.7-1.mga5
+ Revision: 618838
- new version 2.3.7

* Tue Mar 11 2014 guillomovitch <guillomovitch> 2.3.6-1.mga5
+ Revision: 602143
- new version 2.3.6

* Wed Jan 15 2014 guillomovitch <guillomovitch> 2.3.5.1-1.mga4
+ Revision: 566615
- new version 2.3.5.1
- add obsoletes tag for previous plugin-* packages
- add Archive::Extract dependency for task-deploy

* Fri Nov 29 2013 guillomovitch <guillomovitch> 2.3.4-1.mga4
+ Revision: 554095
- new version 2.3.4

* Wed Nov 06 2013 guillomovitch <guillomovitch> 2.3.3-1.mga4
+ Revision: 549837
- new version 2.3.3

* Mon Oct 21 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 538288
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 guillomovitch <guillomovitch> 2.3.2-2.mga4
+ Revision: 489214
- rebuild for proper soft dependency support

* Fri Sep 20 2013 guillomovitch <guillomovitch> 2.3.2-1.mga4
+ Revision: 481834
- new version 2.3.2

* Tue Sep 10 2013 guillomovitch <guillomovitch> 2.3.1-1.mga4
+ Revision: 477137
- new version 2.3.1

* Mon Aug 05 2013 guillomovitch <guillomovitch> 2.3.0-2.mga4
+ Revision: 463774
- better description
- move F::A::HTTP::Client::Fusion class in main package, it is needed by
  esx and deploy tasks

* Thu Aug 01 2013 guillomovitch <guillomovitch> 2.3.0-1.mga4
+ Revision: 462169
- new version

* Fri Jan 11 2013 umeabot <umeabot> 2.2.7-2.mga3
+ Revision: 351000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 guillomovitch <guillomovitch> 2.2.7-1.mga3
+ Revision: 317590
- new version

* Mon Sep 17 2012 guillomovitch <guillomovitch> 2.2.6-1.mga3
+ Revision: 294858
- new version
- ship %%{_sysconfdir}/sysconfig/fusioninventory-agent
- honour %%{_sysconfdir}/sysconfig/fusioninventory-agent in cron task
- back to noarch, we only ship x86 packages currently

* Thu Aug 16 2012 guillomovitch <guillomovitch> 2.2.5-1.mga3
+ Revision: 281539
- useless dependencies, there is no %%post section
- new version

* Mon Jul 30 2012 guillomovitch <guillomovitch> 2.2.4-1.mga3
+ Revision: 275996
- new version

* Tue Jun 26 2012 guillomovitch <guillomovitch> 2.2.3-1.mga3
+ Revision: 263860
- new version

* Fri Jun 01 2012 guillomovitch <guillomovitch> 2.2.2-1.mga3
+ Revision: 252830
- new version

* Tue May 29 2012 guillomovitch <guillomovitch> 2.2.1-1.mga3
+ Revision: 249186
- new version
- make it arch-specific, for arch-specific dependencies as dmidecode

* Sat Apr 28 2012 tmb <tmb> 2.2.0-4.mga2
+ Revision: 233702
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 20 2012 guillomovitch <guillomovitch> 2.2.0-3.mga2
+ Revision: 232017
- force daemonization in systemd service file

* Tue Apr 17 2012 guillomovitch <guillomovitch> 2.2.0-2.mga2
+ Revision: 231233
- drop debian-style initscript
- add systemd support
- add README file
- 2.2.0 final

* Thu Jan 19 2012 guillomovitch <guillomovitch> 2.1.9904-1.mga2
+ Revision: 198452
- new snapshot

* Wed Nov 09 2011 guillomovitch <guillomovitch> 2.1.9902-2.mga2
+ Revision: 165886
- fix automatic dependencies

* Tue Nov 08 2011 guillomovitch <guillomovitch> 2.1.9902-1.mga2
+ Revision: 165670
- new version (2.2 beta2)
- force perl(File::ShareDir) dependency (fix #285)

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.1.9-1.mga2
+ Revision: 126732
- new version

* Sun Mar 06 2011 ennael <ennael> 2.1.7-1.mga1
+ Revision: 65511
- imported package fusioninventory-agent

